import CiaoApp.*;
import org.omg.CosNaming.*;
import org.omg.CosNaming.NamingContextPackage.*;
import org.omg.CORBA.*;

class CiaoServant extends _CiaoImplBase
{
    public String sayCiao(CiaoCallback callobj, String msg)
    {
	callobj.callback(msg);
	return "\n Ciao Mondo!! \n";
    }
}

public class CiaoServer {

    public static void main(String args[])
    {
     try{
	ORB orb = ORB.init(args, null);

	CiaoServant ciaoRef = new CiaoServant();
	orb.connect(ciaoRef);

	org.omg.CORBA.Object objRef =                 
                       orb.resolve_initial_references("NameService");
        NamingContext ncRef = NamingContextHelper.narrow(objRef);
        NameComponent nc = new NameComponent("Ciao", "");
        NameComponent path[] = {nc};
        ncRef.rebind(path, ciaoRef);
        java.lang.Object sync = new java.lang.Object();
        synchronized(sync) {
        sync.wait();
	}
        }catch(Exception e) {
            System.err.println("ERROR : " + e);
            e.printStackTrace(System.out);
        }
    }
}    
