import SecretApp.*;
import org.omg.CosNaming.*;
import org.omg.CORBA.*;
 
public class SecretClient 
{
    public static void main(String args[])
    {
        try{
            // create and initialize the ORB
            ORB orb = ORB.init(args, null);
 
            // get the root naming context
            org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
            NamingContext ncRef = NamingContextHelper.narrow(objRef);

            // resolve the Object Reference in Naming
            NameComponent nc = new NameComponent("Secret", "");
            NameComponent path[] = {nc};
            Secret secretRef = SecretHelper.narrow(ncRef.resolve(path));
 
            // call the Sercret server object and print results
        
            String oldsecret = secretRef.lastSecret();
            System.out.println("\n "+oldsecret+" \n");
            String secret = secretRef.saveSecret(args[0]);
            System.out.println(secret);
 
        } catch (Exception e) {
            System.out.println("ERROR : " + e) ;
            e.printStackTrace(System.out);
        }
    }
}

